Subject: [Idr] Changing the allocation policy for the BGP-LS registries

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 26 Jul 2019 12:52:42 +0100

Hi team IDR,

I'm one of the two Designated Experts for these registries.

Chatting with the chairs yesterday there was a suggestion that we might
change (relax) the allocation policy for the registries.

This draft is a straw man to do that.

Discuss!

Best,
Adrian
--
Read some fairy stories for adults of all ages
. Tales from the Wood
. More Tales from the Wood
. Tales from Beyond the Wood
. Tales from the Castle
Get them on line https://www.feedaread.com/profiles/8604/
Or buy a signed copy from me by post
*** Stop me in the corridor at IETF-105 to get a copy ***

-----Original Message-----
From: I-D-Announce <[email-masked]> On Behalf Of
[email-masked]
Sent: 26 July 2019 11:47
To: [email-masked]
Subject: I-D Action: draft-farrel-idr-bgp-ls-registry-00.txt

A New Internet-Draft is available from the on-line Internet-Drafts
directories.

        Title           : Updates to the Allocation Policy for the Border
Gateway Protocol - Link State (BGP-LS) Parameters Registries
        Author          : Adrian Farrel
	Filename        : draft-farrel-idr-bgp-ls-registry-00.txt
	Pages           : 4
	Date            : 2019-07-26

Abstract:
   RFC 7752 defines Border Gateway Protocol - Link State (BGP-LS).  IANA
   created a registry consistent with that document called the "Border
   Gateway Protocol - Link State (BGP-LS) Parameters Registry" with a
   number of sub-registries.  The allocation policy applied by IANA for
   those policies is "Specification Required" as defined in RFC 8126.

   This document updates RFC 7752 by changing the allocation policy for
   all of the registries to "Expert Review."

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-farrel-idr-bgp-ls-registry/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-farrel-idr-bgp-ls-registry-00
https://datatracker.ietf.org/doc/html/draft-farrel-idr-bgp-ls-registry-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Donald Eastlake <[email-masked]>
Date: Fri, 26 Jul 2019 09:32:05 -0400

Hi Adrian,

When a registry is Expert Review, the normal flow is that requests are sent
to IANA who selects an Expert from the pool of Expert. The Expert evaluates
the request and returns an approval/disapproval. IANA then assigned the
code point(s) or not. The general escape mechanism for denial of service
attacks or other abuse is for IANA to go to the IESG. See the last
paragraph of Section 3.3 of RFC 8126:

   IANA always has the discretion to ask the IESG for advice or
   intervention when they feel it is needed, such as in cases where
   policies or procedures are unclear to them, where they encounter
   issues or questions they are unable to resolve, or where registration
   requests or patterns of requests appear to be unusual or abusive.

Generally speaking, the IESG is considered to be a permanent body while,
notwithstanding the apparent immortality of the IDR WG, Working Groups are
considered to be ephemeral. Thus the provision in this draft naming the IDR
Working Group seems problematic to me. The way this is handled for DNS,
where community discussion is desired of requests for RRTYPE assignments,
is to name a specific mailing list that the request must be posted to.
Mailing lists can be immortal. (See Sections 3.1 and Appendix A of RFC
6895.)

So, I think the draft is a good idea but needs some tweaking based on the
above.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 1424 Pro Shop Court, Davenport, FL 33896 USA
 [email-masked]

On Fri, Jul 26, 2019 at 7:53 AM Adrian Farrel <[email-masked]> wrote:
> .. Tales from the Wood
> .. More Tales from the Wood
> .. Tales from Beyond the Wood
> .. Tales from the Castle
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr

---

From: Donald Eastlake <[email-masked]>
Date: Fri, 26 Jul 2019 10:01:28 -0400

Hi Adrian,

Sorry to respond to my own mail but looking into this further, in
particular to the IANA Considerations of RFC 3748 and 3575 which are
referenced as example by RFC 8126, the formula for getting around the
problem I mentioned is to reference the WG mailing list, rather than the WG
itself, and to provide that a successor mailing list can be designated by
the AD. So in this case, the formula would be:

The Designated expert will post a request to the IDR WG mailing list
(or a successor designated by the Area Director) for comment and
review, including an Internet-Draft.

Thanks,
Donald

On Fri, Jul 26, 2019 at 9:32 AM Donald Eastlake <[email-masked]> wrote:

> Hi Adrian,
>
> When a registry is Expert Review, the normal flow is that requests are
> sent to IANA who selects an Expert from the pool of Expert. The Expert
> evaluates the request and returns an approval/disapproval. IANA then
> assigned the code point(s) or not. The general escape mechanism for denial
> of service attacks or other abuse is for IANA to go to the IESG. See the
> last paragraph of Section 3.3 of RFC 8126:
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 26 Jul 2019 15:37:17 +0100

“I was talking aloud to myself. A habit of the old: they choose the wisest person present to speak to; the long explanations needed by the young are wearying.”

Thanks, Donald,

I have tried to capture something of this order in the -01 just posted.

A

From: Donald Eastlake <[email-masked]> 
Sent: 26 July 2019 15:01
To: Adrian Farrel <[email-masked]>
Cc: idr wg <[email-masked]>
Subject: Re: [Idr] Changing the allocation policy for the BGP-LS registries

Hi Adrian,

Sorry to respond to my own mail but looking into this further, in particular to the IANA Considerations of RFC 3748 and 3575 which are referenced as example by RFC 8126, the formula for getting around the problem I mentioned is to reference the WG mailing list, rather than the WG itself, and to provide that a successor mailing list can be designated by the AD. So in this case, the formula would be:

The Designated expert will post a request to the IDR WG mailing list (or a successor designated by the Area Director) for comment and review, including an Internet-Draft.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 1424 Pro Shop Court, Davenport, FL 33896 USA
 [email-masked] <mailto:[email-masked]> 

On Fri, Jul 26, 2019 at 9:32 AM Donald Eastlake <[email-masked] <mailto:[email-masked]> > wrote:

Hi Adrian,

When a registry is Expert Review, the normal flow is that requests are sent to IANA who selects an Expert from the pool of Expert. The Expert evaluates the request and returns an approval/disapproval. IANA then assigned the code point(s) or not. The general escape mechanism for denial of service attacks or other abuse is for IANA to go to the IESG. See the last paragraph of Section 3.3 of RFC 8126:

Generally speaking, the IESG is considered to be a permanent body while, notwithstanding the apparent immortality of the IDR WG, Working Groups are considered to be ephemeral. Thus the provision in this draft naming the IDR Working Group seems problematic to me. The way this is handled for DNS, where community discussion is desired of requests for RRTYPE assignments, is to name a specific mailing list that the request must be posted to. Mailing lists can be immortal. (See Sections 3.1 and Appendix A of RFC 6895.)

So, I think the draft is a good idea but needs some tweaking based on the above.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 1424 Pro Shop Court, Davenport, FL 33896 USA
 [email-masked] <mailto:[email-masked]> 

On Fri, Jul 26, 2019 at 7:53 AM Adrian Farrel <[email-masked] <mailto:[email-masked]> > wrote:
> From: I-D-Announce <[email-masked] <mailto:[email-masked]> > On Behalf Of
> [email-masked] <mailto:[email-masked]> 
> Sent: 26 July 2019 11:47
> To: [email-masked] <mailto:[email-masked]> 
> until the htmlized version and diff are available at tools.ietf.org <http://tools.ietf.org> .
>
> [email-masked] <mailto:[email-masked]> 
> [email-masked] <mailto:[email-masked]>